An identifier attribute already exists.: An identifier attribute already exists.
Attribute code may contain only letters, numbers and underscore: Attribute code may contain only letters, numbers and underscore
Attribute code may contain only letters (at least one), numbers and underscores: Attribute code may contain only letters (at least one), numbers and underscores
Attribute code may not contain line-feed characters: Attribute code may not contain line-feed characters
Attribute group code may contain only letters, numbers and underscores: Attribute group code may contain only letters, numbers and underscores
This attribute type can't be used as a grid filter: This attribute type can't be used as a grid filter
This code is not available: This code is not available
This attribute type must be required: This attribute type must be required
This attribute type can't be required: This attribute type can't be required
This attribute type can't have unique value: This attribute type can't have unique value
No default value may be specified for this attribute type: No default value may be specified for this attribute type
This value should be Yes or No: This value should be Yes or No
This value should not be blank: This value should not be blank
Option code may contain only letters, numbers and underscores: Option code may contain only letters, numbers and underscores
Option code may contain only letters (at least one), numbers and underscores: Option code may contain only letters (at least one), numbers and underscores
This value should not be a decimal.: This value should not be a decimal.
"The %attribute% attribute requires a non-decimal value, and %value% is not a valid value.": The %attribute% attribute requires a non-decimal value, and %value% is not a valid value.
'The file extension is not allowed (allowed extensions: %extensions%).': 'The file extension is not allowed (allowed extensions: %extensions%).'
"The {{ attribute_code }} attribute can not have the same value more than once. The {{ value }} value is already set on another product.": The {{ attribute_code }} attribute can not have the same value more than once. The {{ value }} value is already set on another product.
The same identifier is already set on another product: The same identifier is already set on another product
regex.comma_or_semicolon_or_surrounding_space.message: This field should not contain any comma or semicolon or leading/trailing space
file.extensions.message: 'The file extension is not allowed (allowed extensions: %extensions%).'
"This type of value expects the use of {{ decimal_separator }} to separate decimals.": This type of value expects the use of {{ decimal_separator }} to separate decimals.
"This type of value expects the use of dot (.) to separate decimals.": This type of value expects the use of a dot (.) to separate decimals.
"This type of value expects the use of comma (,) to separate decimals.": This type of value expects the use of a comma (,) to separate decimals.
"This type of value expects the use of arabic decimal separator (٫) to separate decimals.": This type of value expects the use of an arabic decimal separator (٫) to separate decimals.
"This type of value expects the use of the format {{ date_format }} for dates.": This type of value expects the use of the format {{ date_format }} for dates.
"The category \"%category%\" has to be a root category.": The category "%category%" has to be a root category.
"The attribute \"%attributeCode%\" does not exist.": The attribute "%attributeCode%" does not exist.
"The attribute \"%attributeCode%\" is not a metric attribute.": The attribute "%attributeCode%" is not a measurement attribute.
"The unit \"%unitCode%\" does not exist or does not belong to the default metric family of the given attribute \"%attributeCode%\".": The unit "%unitCode%" does not exist or does not belong to the default measurement family of the given attribute "%attributeCode%".
"The currency \"%currency%\" has to be activated.": The currency "%currency%" has to be activated.
product_model.code.not_blank.message: The product model code must not be empty.
product_model.code.unique.message: The same code is already set on another product model.
product_model.family_variant.not_blank.message: The product model family variant must not be empty.
"The %attribute% attribute requires a string, a %givenType% was detected.": The %attribute% attribute requires a string, a %givenType% was detected.
"The {{ attribute_code }} attribute requires a date that should be {{ limit }} or after.": The {{ attribute_code }} attribute requires a date that should be {{ limit }} or after.
"The {{ attribute_code }} attribute requires a date that should be {{ limit }} or before.": The {{ attribute_code }} attribute requires a date that should be {{ limit }} or before.
"The {{ attribute }} attribute requires a number, and the submitted {{ value }} value is not.": The {{ attribute }} attribute requires a number, and the submitted {{ value }} value is not.
"The %attribute% attribute must not contain more than %limit% characters. The submitted value is too long.": The %attribute% attribute must not contain more than %limit% characters. The submitted value is too long.
'The {{ attribute_code }} attribute must match the following regular expression: {{ pattern }}.': 'The {{ attribute_code }} attribute must match the following regular expression: {{ pattern }}.'
'The {{ attribute_code }} attribute cannot be empty.': 'The {{ attribute_code }} attribute cannot be empty.'
pim_catalog:
  constraint:
    can_have_family_variant_empty_axis_value: 'Attribute "%attribute%" cannot be empty, as it is defined as an axis for this entity'
    product_model_with_same_axis_value_already_exists: 'Cannot set value "%values%" for the attribute axis "%attributes%" on product model "%validated_entity%", as the product model "%sibling_with_same_value%" already has this value'
    variant_product_with_same_axis_value_already_exists: 'Cannot set value "%values%" for the attribute axis "%attributes%" on variant product "%validated_entity%", as the variant product "%sibling_with_same_value%" already has this value'
    can_have_family_variant_unexpected_attribute: 'Cannot set the property "%attribute%" to this entity as it is not in the attribute set'
    cannot_have_product_model_as_parent: 'The product model "%product_model%" cannot have the product model "%parent_product_model%" as parent'
    cannot_have_parent: 'The product model "%product_model%" cannot have a parent'
    attribute_does_not_belong_to_family: 'Attribute "%attribute%" does not belong to the family "%family%"'
    variant_product_invalid_family: 'The variant product family must be the same than its parent'
    php_int_max_reached: 'The maximum number must be lower than %php_int_max%.'
    variant_product_has_parent: 'The variant product "%variant_product%" must have a parent'
    invalid_variant_product_parent: 'The variant product "%variant_product%" cannot have product model "%product_model%" as parent, (this product model can only have other product models as children)'
    modified_variant_axis_value: 'Variant axis "%variant_axis%" cannot be modified, "%provided_value%" given'
    family_variant_attributes_unique: Attributes must be unique, "%attributes%" are used several times in variant attributes sets
    family_variant_axes_unique: Variant axes must be unique, "%attributes%" are used several times in variant attributes sets
    family_variant_axes_immutable: 'Variant axes cannot be modified for the level "%level%"'
    family_variant_axes_attribute_type_unique: Variant axes "%axis%" cannot be unique or an identifier
    family_variant_axes_attribute_type: Variant axes "%axis%" must be a boolean, a simple select, a simple reference data or a measurement
    family_variant_axes_wrong_type: Variant axes "%axis%" cannot be localizable, not scopable and not locale specific
    family_variant_axes_number_of_axes: 'A variant attribute set cannot have more than %max_axes_number% axes'
    family_variant_no_axis: There should be at least one attribute defined as axis for the attribute set for level "%level%"
    family_variant_axis_level: Attribute "%axis%" must be set as attribute in the same variant attribute set it was set as axis
    family_variant_has_family_attribute: '"%attribute%" attribute cannot be added to "%family_variant%" family variant, as it is not an attribute of the "%family%" family'
    family_variant_level_do_not_exist: There is no variant attribute set for level "%level%"
    family_variant_no_level: There should be at least one level defined in the family variant
    family_variant_maximum_number_of_level: Family variant cannot have more than "%level%" level
    family_variant_unique_attributes_in_last_level: Unique attribute "%attribute%" must be set at the product level
    product_identifier: These identifiers "%s" don't exist.
    blacklisted_attribute_code: Code temporarily blocked until the ongoing cleanup job is complete.
    blacklisted_attribute_code_with_link: "Code temporarily blocked until the ongoing cleanup job is complete. To find out more, please check the <a href='{{ link }}' target='_blank'>job detail</a>."
    duplicate_options: '{1} The following option was used multiple times: "{{ duplicate_options }}". Please check your option list again.|]1, +Inf] The following options were used multiple times: "{{ duplicate_options }}". Please check your option list again.'
    0: An unexpected error occurred.
    100: Non-expected value
    101: This field expects a boolean value.
    102: This field expects a float value.
    103: This field expects an integer value.
    104: This field expects a numeric value.
    105: This field expects a string value.
    106: This field expects an array value.
    107: This field expects an array of arrays as value.
    200: An internal error occurred
    201: An internal error occurred
    202: This field expects a numeric value.
    203: This field expects a string value.
    204: This field expects a string value.
    205: An internal error occurred
    300: This field expects a valid entity code.
    301: This field expects a valid scope and locale.
    302: This field expects a valid scope.
    303: This field expects a valid association format.
    pim_immutable_product_model_validator: The same code is already set on another product model.
    quantified_associations:
      unexpected_link_type: The link type "{{ value }}" doesn't exist. You can only associate products or product models.
      max_associations: You've reached the limit of {{ limit }} associations. Please, delete some existing associations before adding new ones.
      invalid_quantity: '"{{ value }}" is an invalid quantity. Please, write a value between {{ min }} and {{ max }}.'
      products_do_not_exist: "The following products don't exist: {{ values }}. Please make sure the products haven't been deleted in the meantime."
      product_models_do_not_exist: "The following product models don't exist: {{ values }}. Please make sure the product models haven't been deleted in the meantime."
      association_type_does_not_exist: This association type doesn't exist. Please make sure it hasn't been deleted in the meantime.
      association_type_is_not_quantified: '"{{ association_type }}" can’t be used for associations with quantities. Please, choose a different association type with quantities or use the "associations" property.'
      association_type_should_not_be_quantified: '"{{ association_type }}" can only be used for associations with quantities. Please, choose a different association type or use the "quantified_associations" property.'
mass_edit:
  edit_common_attributes:
    invalid_values: There are errors in the attributes form
pim_datagrid:
  column_configurator:
    label:
      unique_message: The label must be unique
